After installation, make the installer "jump" to the "Continue" link at the bottom of the page

Bug #1195489 reported by Aaron Wells on 2013-06-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells
1.5
Medium
Unassigned
1.6
Medium
Unassigned
1.7
Medium
Unassigned

Bug Description

This bugs me every time I do a clean Mahara install (which as a developer, tends to be several times a day). The list of plugins on the install page is vertically longer than my browser window. And, since I have $cfg->productionmode=false, this list gets pushed further and further down the page by the log_info() notices that show up at the top of the page. Even with productionmode=true, the tickmarks on each line expand the line a bit, which causes enough page expansion to move the bottom of the list off of the page.

As a result, there's no quick visual indicator of when the install process is complete. I have to keep manually scrolling down as it goes, or just go away and come back some time later.

Moodle's installer/updater has the handy functionality that when it's done, it leaps you to the bottom of the page where the "Continue" link is. I'd like to see the same in Mahara.

Aaron Wells (u-aaronw) wrote :
Changed in mahara:
status: Triaged → In Progress
importance: Wishlist → Medium
milestone: 1.8.0rc1 → 1.7.2
Robert Lyon (robertl-9) on 2013-06-30
Changed in mahara:
milestone: 1.7.2 → 1.8.0rc1

Reviewed: https://reviews.mahara.org/2298
Committed: http://gitorious.org/mahara/mahara/commit/bfd393d5a7863e8436fd64d88564692459160ac9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit bfd393d5a7863e8436fd64d88564692459160ac9
Author: Aaron Wells <email address hidden>
Date: Fri Jun 28 15:10:30 2013 +1200

admin/upgrade.php: Make installer jump to the bottom of the page when install is done

Bug1195489

Change-Id: I3d567f85bedfb92e0105e969d1770cd4e38413b5

Robert Lyon (robertl-9) on 2013-06-30
Changed in mahara:
status: In Progress → Fix Committed
tags: added: newfeature1.8 nominatedfeature
Aaron Wells (u-aaronw) wrote :

I guess technically this is a new feature. But I'd prefer to push it into all the stable versions because:

1. It's a very minor change -- only one line of code
2. It only affects new installations, so it won't have any effect on existing users.

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2412
Committed: http://gitorious.org/mahara/mahara/commit/8a6eca4d8759d5b57eba84caf597574c5708714f
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.5_STABLE

commit 8a6eca4d8759d5b57eba84caf597574c5708714f
Author: Aaron Wells <email address hidden>
Date: Fri Jun 28 15:10:30 2013 +1200

admin/upgrade.php: Make installer jump to the bottom of the page when install is done

Bug1195489

Change-Id: I3d567f85bedfb92e0105e969d1770cd4e38413b5

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2413
Committed: http://gitorious.org/mahara/mahara/commit/15ccd631f89781723aee42a76f3f7500150e26f1
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.6_STABLE

commit 15ccd631f89781723aee42a76f3f7500150e26f1
Author: Aaron Wells <email address hidden>
Date: Fri Jun 28 15:10:30 2013 +1200

admin/upgrade.php: Make installer jump to the bottom of the page when install is done

Bug1195489

Change-Id: I3d567f85bedfb92e0105e969d1770cd4e38413b5

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2414
Committed: http://gitorious.org/mahara/mahara/commit/4c8e1725d680f44317daa9230c3b094a8ce8ddef
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit 4c8e1725d680f44317daa9230c3b094a8ce8ddef
Author: Aaron Wells <email address hidden>
Date: Fri Jun 28 15:10:30 2013 +1200

admin/upgrade.php: Make installer jump to the bottom of the page when install is done

Bug1195489

Change-Id: I3d567f85bedfb92e0105e969d1770cd4e38413b5

Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers